%global commit 77d7dc5ea520980f14036f1cc446c23fe8d6453e
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20250222

Name:           tlpui
Version:        1.6.4
Release:        1.git%{gitdate}%{?dist}
Summary:        TLP UI

License:        GPL-2.0
URL:            https://github.com/d4nj1/TLPUI
Source0:        https://github.com/d4nj1/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-wheel
BuildRequires:  python3dist(pygobject) >= 3.46
BuildRequires:  python3dist(pyyaml) >= 6.0.1

Requires:  tlp >= 0.8

%description
The Python scripts in this project generate a GTK-UI to change TLP configuration files easily.

%generate_buildrequires
%pyproject_buildrequires -r

%prep
%autosetup -p1 -n TLPUI-%{commit}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%__install -Dm0644 tlpui.desktop -t %{buildroot}%{_datadir}/applications

%files -n %{name} -f %{pyproject_files}
%{_bindir}/tlpui
%{_datadir}/applications/tlpui.desktop
%doc README.md
%license LICENSE.md

%changelog
* Sat Feb 22 2025 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.4-1.git20250222
- #163 Add support for TLP 1.8 release

* Sat Oct 12 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.4-1.git20241012
- #157 Add support for TLP 1.7 release version
- #157 Add support for TLP 1.7 release version

* Sun Sep 29 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.4-1.git20240929
- Merge pull request #151 from Integral-Tech/fix-wayland-icon
- #152 Add zh_TW flag

* Fri May 03 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.4-1.git20240503
- Fix appdata.xml for Flathub
- Improve appdata, update dependencies and bump version
- #147 Fix loading css for GTK greater 4.12

* Wed Jan 24 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.4-1.git20240124
- #143 Remove toml dependency and optimize appdata.xml
- Merge pull request #146 from d4nj1/battery-conservation_1-4_1-5
- #145 PyPI related changes
- #145 Update appdata version
- #145 Update tlp-ui name
- #145 Remove PyPI for now

* Wed Jan 17 2024 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.1-1.git20240117
- Merge pull request #144 from d4nj1/tlpui-1.7

* Mon Dec 25 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.1-1.git20231225
- #121 Second config translation cleanup
- #121 Config translation cleanup

* Thu Nov 30 2023 Paweł Marciniak <sunwire+repo@gmail.com> - 1.6.1-1.git20231107
- Initial packaging
